using System;
public class HelloWorld
{
    public static void Main(string[] args)
    {
        string a = Console.ReadLine();
        string[] b = a.Split(' ');
        int N = int.Parse(b[0]);
        int L = int.Parse(b[1]);
        string a1 = Console.ReadLine();
        string[] b1 = a1.Split(' ');
        for (int i = 0; i < N; i++)
        {
            if (int.Parse(b1[i]) <= L)
            {
                Console.WriteLine(i + 1);
                goto lol;
            }
        }
        Console.WriteLine(-1);
    lol:;
    }
}